/***************************************************************************
 *   Copyright (C) 2009 by Paul Lutus                                      *
 *   lutusp@arachnoid.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tankcalc;

final public class StringEscapeUnescape {

    static public String stringToHex(String s) {
        char[] sa = s.toCharArray();
        StringBuilder hex = new StringBuilder();
        for (int i = 0; i < sa.length; i++) {
            char c = sa[i];
            String hs = Integer.toHexString(c);
            if (hs.length() < 2) {
                hs = "0" + hs;
            }
            hex.append(hs);
        }
        return hex.toString();
    }

    static public String hexToString(String hex) {
        StringBuilder out = new StringBuilder();
        try {
        for(int i = 0;i < hex.length();i += 2) {
            String hd = hex.substring(i,i+2);
            char c = (char) Integer.parseInt(hd,16);
            out.append(c);
        }
        }
        catch(Exception e) {
            System.out.println("hexToString: " + e);
        }
        return out.toString();
    }
}
